Debian Bug report logs - #658945
cfengine2: Uses perl4 corelibs without Depends

version graph

Package: cfengine2; Maintainer for cfengine2 is Antonio Radici <antonio@debian.org>; Source for cfengine2 is src:cfengine2.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 6 Feb 2012 21:33:07 UTC

Severity: normal

Tags: confirmed

Found in version cfengine2/2.2.10-4

Fixed in version cfengine2/2.2.10-5

Done: Antonio Radici <antonio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#658945; Package cfengine2. (Mon, 06 Feb 2012 21:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Antonio Radici <antonio@dyne.org>. (Mon, 06 Feb 2012 21:33:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: cfengine2: Uses perl4 corelibs without Depends
Date: Mon, 6 Feb 2012 21:29:03 +0000
Package: cfengine2
Version: 2.2.10-4
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#658945; Package cfengine2. (Sun, 18 Mar 2012 16:27:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Sun, 18 Mar 2012 16:27:10 GMT) Full text and rfc822 format available.

Message #10 received at 658945@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 658917@bugs.debian.org, 658931@bugs.debian.org, 658932@bugs.debian.org, 658945@bugs.debian.org, 658949@bugs.debian.org, 659421@bugs.debian.org, 659422@bugs.debian.org, 659423@bugs.debian.org, 659424@bugs.debian.org, 659429@bugs.debian.org
Subject: Intent to NMU in the coming weeks
Date: Sun, 18 Mar 2012 16:22:11 +0000
Dear maintainer,

As I would like to get all of the Perl4::Corelibs issues sorted out
before wheezy releases, to ease the transition for perl 5.16 in
wheezy+1, I intend to file NMUs for these issues, adding the dependency

libperl4-corelibs-perl | perl (<< 5.12.3-7)

as per the lintian descriptions and wiki[1]. I will upload them to
DELAYED/10. If you plan to fix these bugs before wheezy and would prefer
that I *don'* provide an NMU for the issue in your package, just let me
know.

Thanks,
Dominic.

[1] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added tag(s) confirmed and pending. Request was from Antonio Radici <antonio@dyne.org> to control@bugs.debian.org. (Tue, 20 Mar 2012 07:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#658945; Package cfengine2. (Tue, 20 Mar 2012 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Radici <antonio@dyne.org>:
Extra info received and forwarded to list. (Tue, 20 Mar 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #17 received at 658945@bugs.debian.org (full text, mbox):

From: Antonio Radici <antonio@dyne.org>
To: Dominic Hargreaves <dom@earth.li>, 658945@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#658945: Intent to NMU in the coming weeks
Date: Tue, 20 Mar 2012 07:38:12 +0000
tag 658945 +confirmed pending
thanks

On Sun, Mar 18, 2012 at 04:22:11PM +0000, Dominic Hargreaves wrote:
> Dear maintainer,
> 
> As I would like to get all of the Perl4::Corelibs issues sorted out
> before wheezy releases, to ease the transition for perl 5.16 in
> wheezy+1, I intend to file NMUs for these issues, adding the dependency

Hi Dominic,
sorry for the late reply :(

Have you done this already? if not I'm planning to do it anyway tonight.

Cheers
Antonio




Information forwarded to debian-bugs-dist@lists.debian.org, Antonio Radici <antonio@dyne.org>:
Bug#658945; Package cfengine2. (Tue, 20 Mar 2012 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Antonio Radici <antonio@dyne.org>. (Tue, 20 Mar 2012 09:48:11 GMT) Full text and rfc822 format available.

Message #22 received at 658945@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Antonio Radici <antonio@dyne.org>
Cc: 658945@bugs.debian.org
Subject: Re: Bug#658945: Intent to NMU in the coming weeks
Date: Tue, 20 Mar 2012 09:45:17 +0000
On Tue, Mar 20, 2012 at 07:38:12AM +0000, Antonio Radici wrote:
> tag 658945 +confirmed pending
> thanks
> 
> On Sun, Mar 18, 2012 at 04:22:11PM +0000, Dominic Hargreaves wrote:
> > Dear maintainer,
> > 
> > As I would like to get all of the Perl4::Corelibs issues sorted out
> > before wheezy releases, to ease the transition for perl 5.16 in
> > wheezy+1, I intend to file NMUs for these issues, adding the dependency
> 
> Hi Dominic,
> sorry for the late reply :(
> 
> Have you done this already? if not I'm planning to do it anyway tonight.

No worries - it's not the most exciting or critical issue in the world :)

I haven't NMUed cfengine2 and will leave it to you now.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Antonio Radici <antonio@debian.org>:
You have taken responsibility. (Wed, 21 Mar 2012 09:37:22 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 21 Mar 2012 09:37:36 GMT) Full text and rfc822 format available.

Message #27 received at 658945-close@bugs.debian.org (full text, mbox):

From: Antonio Radici <antonio@debian.org>
To: 658945-close@bugs.debian.org
Subject: Bug#658945: fixed in cfengine2 2.2.10-5
Date: Wed, 21 Mar 2012 08:47:55 +0000
Source: cfengine2
Source-Version: 2.2.10-5

We believe that the bug you reported is fixed in the latest version of
cfengine2, which is due to be installed in the Debian FTP archive:

cfengine2-dbg_2.2.10-5_i386.deb
  to main/c/cfengine2/cfengine2-dbg_2.2.10-5_i386.deb
cfengine2_2.2.10-5.debian.tar.gz
  to main/c/cfengine2/cfengine2_2.2.10-5.debian.tar.gz
cfengine2_2.2.10-5.dsc
  to main/c/cfengine2/cfengine2_2.2.10-5.dsc
cfengine2_2.2.10-5_i386.deb
  to main/c/cfengine2/cfengine2_2.2.10-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 658945@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Radici <antonio@debian.org> (supplier of updated cfengine2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Mar 2012 21:33:29 +0000
Source: cfengine2
Binary: cfengine2 cfengine2-dbg
Architecture: source i386
Version: 2.2.10-5
Distribution: unstable
Urgency: low
Maintainer: Antonio Radici <antonio@debian.org>
Changed-By: Antonio Radici <antonio@debian.org>
Description: 
 cfengine2  - Tool for configuring and maintaining network machines
 cfengine2-dbg - debugging symbols for cfengine2
Closes: 624265 658945
Changes: 
 cfengine2 (2.2.10-5) unstable; urgency=low
 .
   * debian/patches:
     + added 658945-drop-getopts-pl.patch which drops the deprecated getopts.pl
       in favour of Getopt::Std (Closes: 658945).
     + added another spelling error to fix-spelling-errors.patch.
   * debian/control:
     + added a perl as Build-Dep for the above change.
     + added a versioned dep to debhelper 7.0.50 (for the simplified rules).
     + switched my mail to antonio@debian.org.
     + Standards-Version bumped to 3.9.3, no changes required.
   * debian/rules: simplyfing the build process with the new debhelper.
   * debian/dirs: create /etc/cfengine on a clean install (Closes: 624265)
Checksums-Sha1: 
 c14d43c0651da800c03d2fdd429ff8ba4018d2bb 1415 cfengine2_2.2.10-5.dsc
 3356504710c3e704c045b311a06dae2002f4594f 34610 cfengine2_2.2.10-5.debian.tar.gz
 aca2af779c16a9349c4d8ffb0fde6c91fd08f6eb 2623578 cfengine2_2.2.10-5_i386.deb
 dd540d23c1dcdfea6c911fd41faf2401901707c1 3344608 cfengine2-dbg_2.2.10-5_i386.deb
Checksums-Sha256: 
 d17198bca687f670c260e847fdff4b3c96f40b27c71b9892733e7203b3cac892 1415 cfengine2_2.2.10-5.dsc
 106b5deca6c9e1a1b5e78646a87025eaa9e2dd4f44b43124848f25095f541cc9 34610 cfengine2_2.2.10-5.debian.tar.gz
 eafb05e7e99dfb9884242cc3ed9bb58a7b87b6a0a7100111495f0d9a0d487bb6 2623578 cfengine2_2.2.10-5_i386.deb
 b6b354b9ef0a020e47d8a69526a8c69a3eab2beee2d462a04796a977030f2ed8 3344608 cfengine2-dbg_2.2.10-5_i386.deb
Files: 
 3c90e0abd39c24081aa79741c6a501e5 1415 admin optional cfengine2_2.2.10-5.dsc
 89c0b4942cb10c08c78e0d27bba8c84a 34610 admin optional cfengine2_2.2.10-5.debian.tar.gz
 a9da6efb9f7ac6630a70c040dd9ba611 2623578 admin optional cfengine2_2.2.10-5_i386.deb
 0660612753c0e432512e63406efeecd7 3344608 debug extra cfengine2-dbg_2.2.10-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9plQEACgkQ6Tq8aae+WrD8/gCcDmnwU7LT1ytrgiIyzWmQS0Zx
9twAnjltWH8JOXoWH1uMsXgUnx88Zt9Z
=NXYU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Apr 2012 07:37:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:32:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.